// Compiled by ClojureScript 0.0-3211 {}
goog.provide('puppetlabs.puppetserver.metrics_data');
goog.require('cljs.core');
goog.require('cljs_http.client');
goog.require('cljs.core.async');
/**
 * Number of rows to show in each of the metrics tables
 */
puppetlabs.puppetserver.metrics_data.table_size = (10);
/**
 * Number of bytes in a gigabyte
 */
puppetlabs.puppetserver.metrics_data.gigabyte = (((1024) * (1024)) * (1024));
/**
 * Convert a value in bytes to gigabytes
 */
puppetlabs.puppetserver.metrics_data.bytes__GT_gigabytes = (function puppetlabs$puppetserver$metrics_data$bytes__GT_gigabytes(number){
return (number / puppetlabs.puppetserver.metrics_data.gigabyte);
});
puppetlabs.puppetserver.metrics_data.extract_metrics_from_status = (function puppetlabs$puppetserver$metrics_data$extract_metrics_from_status(request_atom,functions_atom,resources_atom,status_response){
var request_metrics_9182 = cljs.core.take.call(null,puppetlabs.puppetserver.metrics_data.table_size,cljs.core.get_in.call(null,status_response,new cljs.core.PersistentVector(null, 4, 5, cljs.core.PersistentVector.EMPTY_NODE, [new cljs.core.Keyword(null,"master","master",779988698),new cljs.core.Keyword(null,"status","status",-1997798413),new cljs.core.Keyword(null,"experimental","experimental",2003141420),new cljs.core.Keyword(null,"http-metrics","http-metrics",-2004881554)], null)));
cljs.core.reset_BANG_.call(null,request_atom,request_metrics_9182);

var function_metrics_9183 = cljs.core.take.call(null,puppetlabs.puppetserver.metrics_data.table_size,cljs.core.get_in.call(null,status_response,new cljs.core.PersistentVector(null, 4, 5, cljs.core.PersistentVector.EMPTY_NODE, [new cljs.core.Keyword(null,"puppet-profiler","puppet-profiler",1030538293),new cljs.core.Keyword(null,"status","status",-1997798413),new cljs.core.Keyword(null,"experimental","experimental",2003141420),new cljs.core.Keyword(null,"function-metrics","function-metrics",1413012698)], null)));
cljs.core.reset_BANG_.call(null,functions_atom,function_metrics_9183);

var resource_metrics_9184 = cljs.core.take.call(null,puppetlabs.puppetserver.metrics_data.table_size,cljs.core.get_in.call(null,status_response,new cljs.core.PersistentVector(null, 4, 5, cljs.core.PersistentVector.EMPTY_NODE, [new cljs.core.Keyword(null,"puppet-profiler","puppet-profiler",1030538293),new cljs.core.Keyword(null,"status","status",-1997798413),new cljs.core.Keyword(null,"experimental","experimental",2003141420),new cljs.core.Keyword(null,"resource-metrics","resource-metrics",1482352662)], null)));
cljs.core.reset_BANG_.call(null,resources_atom,resource_metrics_9184);

var jruby_metrics = cljs.core.get_in.call(null,status_response,new cljs.core.PersistentVector(null, 4, 5, cljs.core.PersistentVector.EMPTY_NODE, [new cljs.core.Keyword(null,"jruby-metrics","jruby-metrics",-349152435),new cljs.core.Keyword(null,"status","status",-1997798413),new cljs.core.Keyword(null,"experimental","experimental",2003141420),new cljs.core.Keyword(null,"metrics","metrics",394093469)], null));
var jvm_metrics = cljs.core.get_in.call(null,status_response,new cljs.core.PersistentVector(null, 4, 5, cljs.core.PersistentVector.EMPTY_NODE, [new cljs.core.Keyword(null,"status-service","status-service",1965750988),new cljs.core.Keyword(null,"status","status",-1997798413),new cljs.core.Keyword(null,"experimental","experimental",2003141420),new cljs.core.Keyword(null,"jvm-metrics","jvm-metrics",1366053418)], null));
return cljs.core.PersistentHashMap.fromArrays([new cljs.core.Keyword(null,"num-free-jrubies","num-free-jrubies",1903091813),new cljs.core.Keyword(null,"average-requested-jrubies","average-requested-jrubies",-1009445658),new cljs.core.Keyword(null,"num-requested-jrubies","num-requested-jrubies",640316392),new cljs.core.Keyword(null,"cpu-usage","cpu-usage",-1666380567),new cljs.core.Keyword(null,"average-borrow-time","average-borrow-time",-322277712),new cljs.core.Keyword(null,"gc-cpu-usage","gc-cpu-usage",-1587241962),new cljs.core.Keyword(null,"memory-used","memory-used",-657983817),new cljs.core.Keyword(null,"average-free-jrubies","average-free-jrubies",727995931),new cljs.core.Keyword(null,"average-wait-time","average-wait-time",-724663777)],[new cljs.core.Keyword(null,"num-free-jrubies","num-free-jrubies",1903091813).cljs$core$IFn$_invoke$arity$1(jruby_metrics),new cljs.core.Keyword(null,"average-requested-jrubies","average-requested-jrubies",-1009445658).cljs$core$IFn$_invoke$arity$1(jruby_metrics),cljs.core.count.call(null,new cljs.core.Keyword(null,"requested-instances","requested-instances",-2131854407).cljs$core$IFn$_invoke$arity$1(jruby_metrics)),new cljs.core.Keyword(null,"cpu-usage","cpu-usage",-1666380567).cljs$core$IFn$_invoke$arity$1(jvm_metrics),new cljs.core.Keyword(null,"average-borrow-time","average-borrow-time",-322277712).cljs$core$IFn$_invoke$arity$1(jruby_metrics),new cljs.core.Keyword(null,"gc-cpu-usage","gc-cpu-usage",-1587241962).cljs$core$IFn$_invoke$arity$1(jvm_metrics),puppetlabs.puppetserver.metrics_data.bytes__GT_gigabytes.call(null,cljs.core.get_in.call(null,jvm_metrics,new cljs.core.PersistentVector(null, 2, 5, cljs.core.PersistentVector.EMPTY_NODE, [new cljs.core.Keyword(null,"heap-memory","heap-memory",-1100180105),new cljs.core.Keyword(null,"used","used",-1414786177)], null))),new cljs.core.Keyword(null,"average-free-jrubies","average-free-jrubies",727995931).cljs$core$IFn$_invoke$arity$1(jruby_metrics),new cljs.core.Keyword(null,"average-wait-time","average-wait-time",-724663777).cljs$core$IFn$_invoke$arity$1(jruby_metrics)]);
});
puppetlabs.puppetserver.metrics_data.get_latest_metrics_data_fn = (function puppetlabs$puppetserver$metrics_data$get_latest_metrics_data_fn(request_atom,functions_atom,resources_atom){
return (function (channel){
var c__6803__auto__ = cljs.core.async.chan.call(null,(1));
cljs.core.async.impl.dispatch.run.call(null,((function (c__6803__auto__){
return (function (){
var f__6804__auto__ = (function (){var switch__6741__auto__ = ((function (c__6803__auto__){
return (function (state_9238){
var state_val_9239 = (state_9238[(1)]);
if((state_val_9239 === (1))){
var inst_9219 = cljs_http.client.get.call(null,"/status/v1/services?level=debug");
var state_9238__$1 = state_9238;
return cljs.core.async.impl.ioc_helpers.take_BANG_.call(null,state_9238__$1,(2),inst_9219);
} else {
if((state_val_9239 === (2))){
var inst_9221 = (state_9238[(7)]);
var inst_9221__$1 = (state_9238[(2)]);
var inst_9222 = new cljs.core.Keyword(null,"status","status",-1997798413).cljs$core$IFn$_invoke$arity$1(inst_9221__$1);
var inst_9223 = cljs.core._EQ_.call(null,(200),inst_9222);
var inst_9224 = !(inst_9223);
var state_9238__$1 = (function (){var statearr_9240 = state_9238;
(statearr_9240[(7)] = inst_9221__$1);

return statearr_9240;
})();
if(inst_9224){
var statearr_9241_9253 = state_9238__$1;
(statearr_9241_9253[(1)] = (3));

} else {
var statearr_9242_9254 = state_9238__$1;
(statearr_9242_9254[(1)] = (4));

}

return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_9239 === (3))){
var inst_9221 = (state_9238[(7)]);
var inst_9226 = new cljs.core.Keyword(null,"status","status",-1997798413).cljs$core$IFn$_invoke$arity$1(inst_9221);
var inst_9227 = new cljs.core.Keyword(null,"body","body",-2049205669).cljs$core$IFn$_invoke$arity$1(inst_9221);
var inst_9228 = [cljs.core.str("Error issuing HTTP request!: "),cljs.core.str(inst_9226),cljs.core.str(" "),cljs.core.str(inst_9227)].join('');
var inst_9229 = console.log(inst_9228);
var inst_9230 = cljs.core.async.close_BANG_.call(null,channel);
var state_9238__$1 = (function (){var statearr_9243 = state_9238;
(statearr_9243[(8)] = inst_9229);

return statearr_9243;
})();
var statearr_9244_9255 = state_9238__$1;
(statearr_9244_9255[(2)] = inst_9230);

(statearr_9244_9255[(1)] = (5));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_9239 === (4))){
var inst_9221 = (state_9238[(7)]);
var inst_9232 = new cljs.core.Keyword(null,"body","body",-2049205669).cljs$core$IFn$_invoke$arity$1(inst_9221);
var inst_9233 = puppetlabs.puppetserver.metrics_data.extract_metrics_from_status.call(null,request_atom,functions_atom,resources_atom,inst_9232);
var inst_9234 = cljs.core.async.put_BANG_.call(null,channel,inst_9233);
var state_9238__$1 = state_9238;
var statearr_9245_9256 = state_9238__$1;
(statearr_9245_9256[(2)] = inst_9234);

(statearr_9245_9256[(1)] = (5));


return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
if((state_val_9239 === (5))){
var inst_9236 = (state_9238[(2)]);
var state_9238__$1 = state_9238;
return cljs.core.async.impl.ioc_helpers.return_chan.call(null,state_9238__$1,inst_9236);
} else {
return null;
}
}
}
}
}
});})(c__6803__auto__))
;
return ((function (switch__6741__auto__,c__6803__auto__){
return (function() {
var puppetlabs$puppetserver$metrics_data$get_latest_metrics_data_fn_$_state_machine__6742__auto__ = null;
var puppetlabs$puppetserver$metrics_data$get_latest_metrics_data_fn_$_state_machine__6742__auto____0 = (function (){
var statearr_9249 = [null,null,null,null,null,null,null,null,null];
(statearr_9249[(0)] = puppetlabs$puppetserver$metrics_data$get_latest_metrics_data_fn_$_state_machine__6742__auto__);

(statearr_9249[(1)] = (1));

return statearr_9249;
});
var puppetlabs$puppetserver$metrics_data$get_latest_metrics_data_fn_$_state_machine__6742__auto____1 = (function (state_9238){
while(true){
var ret_value__6743__auto__ = (function (){try{while(true){
var result__6744__auto__ = switch__6741__auto__.call(null,state_9238);
if(cljs.core.keyword_identical_QMARK_.call(null,result__6744__auto__,new cljs.core.Keyword(null,"recur","recur",-437573268))){
continue;
} else {
return result__6744__auto__;
}
break;
}
}catch (e9250){if((e9250 instanceof Object)){
var ex__6745__auto__ = e9250;
var statearr_9251_9257 = state_9238;
(statearr_9251_9257[(5)] = ex__6745__auto__);


cljs.core.async.impl.ioc_helpers.process_exception.call(null,state_9238);

return new cljs.core.Keyword(null,"recur","recur",-437573268);
} else {
throw e9250;

}
}})();
if(cljs.core.keyword_identical_QMARK_.call(null,ret_value__6743__auto__,new cljs.core.Keyword(null,"recur","recur",-437573268))){
var G__9258 = state_9238;
state_9238 = G__9258;
continue;
} else {
return ret_value__6743__auto__;
}
break;
}
});
puppetlabs$puppetserver$metrics_data$get_latest_metrics_data_fn_$_state_machine__6742__auto__ = function(state_9238){
switch(arguments.length){
case 0:
return puppetlabs$puppetserver$metrics_data$get_latest_metrics_data_fn_$_state_machine__6742__auto____0.call(this);
case 1:
return puppetlabs$puppetserver$metrics_data$get_latest_metrics_data_fn_$_state_machine__6742__auto____1.call(this,state_9238);
}
throw(new Error('Invalid arity: ' + arguments.length));
};
puppetlabs$puppetserver$metrics_data$get_latest_metrics_data_fn_$_state_machine__6742__auto__.cljs$core$IFn$_invoke$arity$0 = puppetlabs$puppetserver$metrics_data$get_latest_metrics_data_fn_$_state_machine__6742__auto____0;
puppetlabs$puppetserver$metrics_data$get_latest_metrics_data_fn_$_state_machine__6742__auto__.cljs$core$IFn$_invoke$arity$1 = puppetlabs$puppetserver$metrics_data$get_latest_metrics_data_fn_$_state_machine__6742__auto____1;
return puppetlabs$puppetserver$metrics_data$get_latest_metrics_data_fn_$_state_machine__6742__auto__;
})()
;})(switch__6741__auto__,c__6803__auto__))
})();
var state__6805__auto__ = (function (){var statearr_9252 = f__6804__auto__.call(null);
(statearr_9252[cljs.core.async.impl.ioc_helpers.USER_START_IDX] = c__6803__auto__);

return statearr_9252;
})();
return cljs.core.async.impl.ioc_helpers.run_state_machine_wrapped.call(null,state__6805__auto__);
});})(c__6803__auto__))
);

return c__6803__auto__;
});
});

//# sourceMappingURL=metrics_data.js.map